
TYPO3.Fluid - Bug # 3295

Status: Resolved Priority: Should have
Author: Sebastian Kurfuerst Category:
Created: 2009-05-14 Assigned To: Sebastian Kurfuerst
Updated: 2010-10-20 Due date:
Has patch:
Affected Flow version:
Subject: implement shorthand syntax
Description

example: {f:date()} - the () are mandatory

Related issues:
related to TYPO3.Fluid - Feature # 3702: Inline notation should expect object... Resolved 2009-06-18

Associated revisions
Revision c025bf63 - 2009-05-16 11:36 - Sebastian Kurfuerst
Fluid:
    -  Added Inline ViewHelper Syntax (resolves #3295)

History
#1 - 2009-05-15 22:24 - Sebastian Kurfuerst

Reason why we do shorthand syntax to call viewhelpers: <a href="{f:uri(action='...')}" class=""> </a>

This will be allowed: {f:link("Hello {f:format.date()} world" action="greet")}

Things with multiple lines will not be allowed (we want to enforce people to use XML-based syntax in this case:{f:link("Hello

{f:for}
 world" 
action="greet")}

The unnamed parameter, if it exists, has to be the first one.{f:link("Hello Guys" action="greet")}

We accept the following line, though it is really ugly as hell
<!-- Bad, but allowed --> {f:for("{singlePost}" each="{post}" as="singlePost")}

We call this syntax
INLINE NOTATION!!!!

#2 - 2009-05-16 11:37 - Sebastian Kurfuerst
- Status changed from New to Resolved
- Assigned To set to Sebastian Kurfuerst
- % Done changed from 0 to 100

:-) :-) :-)
Thanks for the great discussions at the coding night
